xmonad-contrib-0.11.3: Third party extensions for xmonad

Copyright | (c) 2007 James Webb
License | BSD3-style (see LICENSE)
Maintainer | xmonad#jwebb,sygneca,com
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.Maximize

Contents

- Usage

Description

Temporarily yanks the focused window out of the layout to mostly fill the screen.

Synopsis

- maximize :: LayoutClass l Window => l Window -> ModifiedLayout Maximize l Window
- maximizeRestore :: Window -> MaximizeRestore
- data Maximize a
- data MaximizeRestore

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.Maximize

Then edit your `layoutHook` by adding the Maximize layout modifier:

    myLayout = maximize (Tall 1 (3/100) (1/2)) ||| Full ||| etc..
    main = xmonad defaultConfig { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

In the key-bindings, do something like:

           , ((modm, xK_backslash), withFocused (sendMessage . maximizeRestore))
           ...

For detailed instruction on editing the key binding see:

XMonad.Doc.Extending.

maximize :: LayoutClass l Window => l Window -> ModifiedLayout Maximize l Window

maximizeRestore :: Window -> MaximizeRestore

data Maximize a

Instances

LayoutModifier Maximize Window |
Read (Maximize a) |
Show (Maximize a) |

data MaximizeRestore

Instances

Eq MaximizeRestore |
Message MaximizeRestore |
Typeable * MaximizeRestore |